Debian Bug report logs - #543076
jakarta-ecs: FTBFS: java errors

version graph

Package: jakarta-ecs; Maintainer for jakarta-ecs is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 22 Aug 2009 17:11:44 UTC

Severity: serious

Found in version 1.4.2-1

Fixed in version jakarta-ecs/1.4.2-1.1

Done: Philipp Spitzer <philipp+debian@spitzer.priv.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kalle Kivimaa <killer@debian.org>:
Bug#543076; Package jakarta-ecs. (Sat, 22 Aug 2009 17:11:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Kalle Kivimaa <killer@debian.org>. (Sat, 22 Aug 2009 17:11:58 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: jakarta-ecs: FTBFS: java errors
Date: Sat, 22 Aug 2009 18:46:17 +0200
Package: jakarta-ecs
Version: 1.4.2-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090822 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2'
> make[1]: Nothing to be done for `update-config'.
> make[1]: Leaving directory `/build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2'
> cd . && /usr/lib/jvm/default-java/bin/java -classpath /usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-launcher.jar:/usr/lib/jvm/default-java/lib/tools.jar  -Dant.home=/usr/share/ant org.apache.tools.ant.Main -Dcompile.debug=true -Dcompile.optimize=true   -buildfile build/build-ecs.xml  jar
> Buildfile: build/build-ecs.xml
> 
> env:
>      [echo] build.compiler = classic
>      [echo] java.home = /usr/lib/jvm/java-6-openjdk/jre
>      [echo] user.home = /home/user
>      [echo] java.class.path = /usr/share/ant/lib/ant.jar:/usr/share/ant/lib/ant-launcher.jar:/usr/lib/jvm/default-java/lib/tools.jar
>      [echo] 
> 
> prepare:
>     [mkdir] Created dir: /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin
>     [mkdir] Created dir: /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/classes
>     [mkdir] Created dir: /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src
>      [copy] Copying 387 files to /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org
> 
> compile:
>     [javac] Compiling 381 source files to /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/classes
>     [javac] This version of java does not support the classic compiler; upgrading to modern
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/ConcreteElement.java:322: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]                 Enumeration enum = ce.registryList.elements();
>     [javac]                             ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/ConcreteElement.java:324: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]                 while(enum.hasMoreElements())
>     [javac]                       ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/ConcreteElement.java:326: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]                     Object obj = ce.registry.get((String)enum.nextElement());
>     [javac]                                                          ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/ConcreteElement.java:438: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]             Enumeration enum = registryList.elements();
>     [javac]                         ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/ConcreteElement.java:439: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac] 			while(enum.hasMoreElements())
>     [javac] 			      ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/ConcreteElement.java:441: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac] 				Object obj = registry.get((String)enum.nextElement());
>     [javac] 				                                  ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/ElementAttributes.java:345: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         Enumeration enum = getElementHashEntry().keys();
>     [javac]                     ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/ElementAttributes.java:348: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         while (enum.hasMoreElements())
>     [javac]                ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/ElementAttributes.java:350: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]             String attr = (String) enum.nextElement();
>     [javac]                                    ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/filter/RegexpFilter.java:121: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         Enumeration enum = keys();
>     [javac]                     ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/filter/RegexpFilter.java:123: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         while (enum.hasMoreElements()) {
>     [javac]                ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/filter/RegexpFilter.java:124: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]             RE r = (RE)enum.nextElement();
>     [javac]                        ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/html/A.java:465: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         java.util.Enumeration enum = elements();
>     [javac]                               ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/html/A.java:468: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         while(enum.hasMoreElements())
>     [javac]               ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/html/A.java:471: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]             Object obj = enum.nextElement();
>     [javac]                          ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/html/Select.java:222: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         Enumeration enum = keys();
>     [javac]                     ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/html/Select.java:223: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         for(int x = 0; enum.hasMoreElements(); x++)
>     [javac]                        ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/html/Select.java:225: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]             ConcreteElement element = (ConcreteElement)getElement((String)enum.nextElement());
>     [javac]                                                                           ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/html/TD.java:471: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         java.util.Enumeration enum = elements();
>     [javac]                               ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/html/TD.java:474: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         while(enum.hasMoreElements())
>     [javac]               ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/html/TD.java:477: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]             Object obj = enum.nextElement();
>     [javac]                          ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:161: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac] 	Enumerate enum = new Enumerate();
>     [javac] 	          ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:162: enum types must not be local
>     [javac] 	enum.addElement("For ");
>     [javac] 	^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:162: <identifier> expected
>     [javac] 	enum.addElement("For ");
>     [javac] 	    ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:163: <identifier> expected
>     [javac] 	enum.addElement(new Value("_prompt"));
>     [javac] 	    ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:164: <identifier> expected
>     [javac] 	enum.addElement(", press ");
>     [javac] 	    ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:165: <identifier> expected
>     [javac] 	enum.addElement(new Value("_dtmf"));
>     [javac] 	    ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:166: <identifier> expected
>     [javac] 	prompt2.addElement(enum);
>     [javac] 	                  ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:166: modifier enum not allowed here
>     [javac] 	prompt2.addElement(enum);
>     [javac] 	                   ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:166: <identifier> expected
>     [javac] 	prompt2.addElement(enum);
>     [javac] 	                       ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:167: <identifier> expected
>     [javac] 	menu3.addElement(prompt2);
>     [javac] 	                ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:167: <identifier> expected
>     [javac] 	menu3.addElement(prompt2);
>     [javac] 	                        ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:171: <identifier> expected
>     [javac] 	choice1.addElement("sports");
>     [javac] 	                  ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:171: illegal start of type
>     [javac] 	choice1.addElement("sports");
>     [javac] 	                   ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:172: <identifier> expected
>     [javac] 	choice2.addElement("weather");
>     [javac] 	                  ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:172: illegal start of type
>     [javac] 	choice2.addElement("weather");
>     [javac] 	                   ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:173: <identifier> expected
>     [javac] 	choice3.addElement("Stargazer astrophysics news");
>     [javac] 	                  ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:173: illegal start of type
>     [javac] 	choice3.addElement("Stargazer astrophysics news");
>     [javac] 	                   ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:174: <identifier> expected
>     [javac] 	menu3.addElement(choice1);
>     [javac] 	                ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:174: <identifier> expected
>     [javac] 	menu3.addElement(choice1);
>     [javac] 	                        ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:175: <identifier> expected
>     [javac] 	menu3.addElement(choice2);
>     [javac] 	                ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:175: <identifier> expected
>     [javac] 	menu3.addElement(choice2);
>     [javac] 	                        ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:176: <identifier> expected
>     [javac] 	menu3.addElement(choice3);
>     [javac] 	                ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:176: <identifier> expected
>     [javac] 	menu3.addElement(choice3);
>     [javac] 	                        ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:178: <identifier> expected
>     [javac] 	vxml.addElement(menu3);
>     [javac] 	               ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:178: <identifier> expected
>     [javac] 	vxml.addElement(menu3);
>     [javac] 	                     ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:180: <identifier> expected
>     [javac] 	System.out.println(vxml.toString());	
>     [javac] 	                  ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:180: <identifier> expected
>     [javac] 	System.out.println(vxml.toString());	
>     [javac] 	                                ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:180: ';' expected
>     [javac] 	System.out.println(vxml.toString());	
>     [javac] 	                                 ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:180: illegal start of type
>     [javac] 	System.out.println(vxml.toString());	
>     [javac] 	                                  ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:180: <identifier> expected
>     [javac] 	System.out.println(vxml.toString());	
>     [javac] 	                                   ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:180: ';' expected
>     [javac] 	System.out.println(vxml.toString());	
>     [javac] 	                                    ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:207: reached end of file while parsing
>     [javac] }
>     [javac]  ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/vxml/TestBed2.java:208: reached end of file while parsing
>     [javac] 
>     [javac] ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/xhtml/a.java:475: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         java.util.Enumeration enum = elements();
>     [javac]                               ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/xhtml/a.java:478: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         while(enum.hasMoreElements())
>     [javac]               ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/xhtml/a.java:481: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]             Object obj = enum.nextElement();
>     [javac]                          ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/xhtml/td.java:469: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         java.util.Enumeration enum = elements();
>     [javac]                               ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/xhtml/td.java:472: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         while(enum.hasMoreElements())
>     [javac]               ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/xhtml/td.java:475: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]             Object obj = enum.nextElement();
>     [javac]                          ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/xml/XML.java:196: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         java.util.Enumeration enum = elements();
>     [javac]                               ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/xml/XML.java:201: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]         while (enum.hasMoreElements()) {
>     [javac]                ^
>     [javac] /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/bin/src/org/apache/ecs/xml/XML.java:202: as of release 5, 'enum' is a keyword, and may not be used as an identifier
>     [javac] (use -source 1.4 or lower to use 'enum' as an identifier)
>     [javac]             Object obj = enum.nextElement();
>     [javac]                          ^
>     [javac] 63 errors
> 
> BUILD FAILED
> /build/user-jakarta-ecs_1.4.2-1-amd64-358QEa/jakarta-ecs-1.4.2/build/build-ecs.xml:97: Compile failed; see the compiler error output for details.
> 
> Total time: 1 second
> make: *** [debian/stamp-ant-build] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/08/22/jakarta-ecs_1.4.2-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Kalle Kivimaa <killer@debian.org>:
Bug#543076; Package jakarta-ecs. (Fri, 27 Nov 2009 21:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Spitzer <philipp+debian@spitzer.priv.at>:
Extra info received and forwarded to list. Copy sent to Kalle Kivimaa <killer@debian.org>. (Fri, 27 Nov 2009 21:48:02 GMT) Full text and rfc822 format available.

Message #10 received at 543076@bugs.debian.org (full text, mbox):

From: Philipp Spitzer <philipp+debian@spitzer.priv.at>
To: 543076@bugs.debian.org
Subject: Created Patch
Date: Fri, 27 Nov 2009 22:43:24 +0100
[Message part 1 (text/plain, inline)]
The reason for the compile error is that "enum" became a keyword.
I renamed "enum" by "enumerate" so that it compiles again and created a
patch (attached).

Best regards,
Philipp Spitzer
[jakarta-ecs_1.4.2-1.1.patch (text/x-diff, inline)]
diff -u jakarta-ecs-1.4.2/debian/changelog jakarta-ecs-1.4.2/debian/changelog
--- jakarta-ecs-1.4.2/debian/changelog
+++ jakarta-ecs-1.4.2/debian/changelog
@@ -1,3 +1,11 @@
+jakarta-ecs (1.4.2-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Renamed "enum" variable to "enumerate" as "enum" became a Java keyword
+    (Closes: #543076). 
+
+ -- Philipp Spitzer <philipp+debian@spitzer.priv.at>  Fri, 27 Nov 2009 22:28:19 +0100
+
 jakarta-ecs (1.4.2-1) unstable; urgency=low
 
   * Initial release (Closes: #503279).
only in patch2:
unchanged:
--- jakarta-ecs-1.4.2.orig/src/java/org/apache/ecs/ElementAttributes.java
+++ jakarta-ecs-1.4.2/src/java/org/apache/ecs/ElementAttributes.java
@@ -342,12 +342,12 @@
         }
         out.append(getElementType());
 
-        Enumeration enum = getElementHashEntry().keys();
+        Enumeration enumerate = getElementHashEntry().keys();
         String value = null; // avoid creating a new string object on each pass through the loop
 
-        while (enum.hasMoreElements())
+        while (enumerate.hasMoreElements())
         {
-            String attr = (String) enum.nextElement();
+            String attr = (String) enumerate.nextElement();
             if(getAttributeFilterState())
             {
                 value = getAttributeFilter().process(getElementHashEntry().get(attr).toString());
only in patch2:
unchanged:
--- jakarta-ecs-1.4.2.orig/src/java/org/apache/ecs/ConcreteElement.java
+++ jakarta-ecs-1.4.2/src/java/org/apache/ecs/ConcreteElement.java
@@ -319,11 +319,11 @@
                 if(ce.getTagText() != null)
                     out.write(ce.getTagText().getBytes(encoding));
 
-                Enumeration enum = ce.registryList.elements();
+                Enumeration enumerate = ce.registryList.elements();
 
-                while(enum.hasMoreElements())
+                while(enumerate.hasMoreElements())
                 {
-                    Object obj = ce.registry.get((String)enum.nextElement());
+                    Object obj = ce.registry.get((String)enumerate.nextElement());
                     if(obj instanceof GenericElement)
                     {
                         Element e = (Element)obj;
@@ -435,10 +435,10 @@
             if(getTagText() != null)
                 out.write(getTagText());
 
-            Enumeration enum = registryList.elements();
-			while(enum.hasMoreElements())
+            Enumeration enumerate = registryList.elements();
+			while(enumerate.hasMoreElements())
 			{
-				Object obj = registry.get((String)enum.nextElement());
+				Object obj = registry.get((String)enumerate.nextElement());
 				if(obj instanceof GenericElement)
 				{
 					Element e = (Element)obj;
only in patch2:
unchanged:
--- jakarta-ecs-1.4.2.orig/src/java/org/apache/ecs/xml/XML.java
+++ jakarta-ecs-1.4.2/src/java/org/apache/ecs/xml/XML.java
@@ -193,13 +193,13 @@
     public boolean getNeedLineBreak() {
         boolean linebreak = true;
 
-        java.util.Enumeration enum = elements();
+        java.util.Enumeration enumerate = elements();
 
         // if this tag has one child, and it's a String, then don't
         // do any linebreaks to preserve whitespace
 
-        while (enum.hasMoreElements()) {
-            Object obj = enum.nextElement();
+        while (enumerate.hasMoreElements()) {
+            Object obj = enumerate.nextElement();
             if (obj instanceof StringElement) {
                  linebreak = false;
                  break;
only in patch2:
unchanged:
--- jakarta-ecs-1.4.2.orig/src/java/org/apache/ecs/vxml/TestBed2.java
+++ jakarta-ecs-1.4.2/src/java/org/apache/ecs/vxml/TestBed2.java
@@ -158,12 +158,12 @@
 	
 	Menu menu3 = new Menu("true");
 	Prompt prompt2 = new Prompt("Welcome Home");
-	Enumerate enum = new Enumerate();
-	enum.addElement("For ");
-	enum.addElement(new Value("_prompt"));
-	enum.addElement(", press ");
-	enum.addElement(new Value("_dtmf"));
-	prompt2.addElement(enum);
+	Enumerate enumerate = new Enumerate();
+	enumerate.addElement("For ");
+	enumerate.addElement(new Value("_prompt"));
+	enumerate.addElement(", press ");
+	enumerate.addElement(new Value("_dtmf"));
+	prompt2.addElement(enumerate);
 	menu3.addElement(prompt2);
 	Choice choice1 = new Choice("http://www.sports.example/vxml/start.vxml");
 	Choice choice2 = new Choice("http://www.weather.example/intro.vxml");
only in patch2:
unchanged:
--- jakarta-ecs-1.4.2.orig/src/java/org/apache/ecs/html/TD.java
+++ jakarta-ecs-1.4.2/src/java/org/apache/ecs/html/TD.java
@@ -468,13 +468,13 @@
     */
     public boolean getNeedLineBreak()
     {
-        java.util.Enumeration enum = elements();
+        java.util.Enumeration enumerate = elements();
         int i=0;
         int j=0;
-        while(enum.hasMoreElements())
+        while(enumerate.hasMoreElements())
         {
             j++;
-            Object obj = enum.nextElement();
+            Object obj = enumerate.nextElement();
             if( obj instanceof IMG || obj instanceof A )
                 i++;
         }
only in patch2:
unchanged:
--- jakarta-ecs-1.4.2.orig/src/java/org/apache/ecs/html/A.java
+++ jakarta-ecs-1.4.2/src/java/org/apache/ecs/html/A.java
@@ -462,13 +462,13 @@
     */
     public boolean getNeedLineBreak()
     {
-        java.util.Enumeration enum = elements();
+        java.util.Enumeration enumerate = elements();
         int i=0;
         int j=0;
-        while(enum.hasMoreElements())
+        while(enumerate.hasMoreElements())
         {
             j++;
-            Object obj = enum.nextElement();
+            Object obj = enumerate.nextElement();
             if( obj instanceof IMG )
                 i++;
         }
only in patch2:
unchanged:
--- jakarta-ecs-1.4.2.orig/src/java/org/apache/ecs/html/Select.java
+++ jakarta-ecs-1.4.2/src/java/org/apache/ecs/html/Select.java
@@ -219,10 +219,10 @@
 
     public Select selectOption(int option)
     {
-        Enumeration enum = keys();
-        for(int x = 0; enum.hasMoreElements(); x++)
+        Enumeration enumerate = keys();
+        for(int x = 0; enumerate.hasMoreElements(); x++)
         {
-            ConcreteElement element = (ConcreteElement)getElement((String)enum.nextElement());
+            ConcreteElement element = (ConcreteElement)getElement((String)enumerate.nextElement());
             if(x == option)
             {
                 ((Option)element).setSelected(true);
only in patch2:
unchanged:
--- jakarta-ecs-1.4.2.orig/src/java/org/apache/ecs/xhtml/td.java
+++ jakarta-ecs-1.4.2/src/java/org/apache/ecs/xhtml/td.java
@@ -466,13 +466,13 @@
     */
     public boolean getNeedLineBreak()
     {
-        java.util.Enumeration enum = elements();
+        java.util.Enumeration enumerate = elements();
         int i=0;
         int j=0;
-        while(enum.hasMoreElements())
+        while(enumerate.hasMoreElements())
         {
             j++;
-            Object obj = enum.nextElement();
+            Object obj = enumerate.nextElement();
             if( obj instanceof img || obj instanceof a )
                 i++;
         }
only in patch2:
unchanged:
--- jakarta-ecs-1.4.2.orig/src/java/org/apache/ecs/xhtml/a.java
+++ jakarta-ecs-1.4.2/src/java/org/apache/ecs/xhtml/a.java
@@ -472,13 +472,13 @@
     */
     public boolean getNeedLineBreak()
     {
-        java.util.Enumeration enum = elements();
+        java.util.Enumeration enumerate = elements();
         int i=0;
         int j=0;
-        while(enum.hasMoreElements())
+        while(enumerate.hasMoreElements())
         {
             j++;
-            Object obj = enum.nextElement();
+            Object obj = enumerate.nextElement();
             if( obj instanceof img )
                 i++;
         }
only in patch2:
unchanged:
--- jakarta-ecs-1.4.2.orig/src/java/org/apache/ecs/filter/RegexpFilter.java
+++ jakarta-ecs-1.4.2/src/java/org/apache/ecs/filter/RegexpFilter.java
@@ -118,10 +118,10 @@
         }
         
         String substituteIn = to_process;
-        Enumeration enum = keys();
+        Enumeration enumerate = keys();
 
-        while (enum.hasMoreElements()) {
-            RE r = (RE)enum.nextElement();
+        while (enumerate.hasMoreElements()) {
+            RE r = (RE)enumerate.nextElement();
             String substitution = (String)get(r);
             substituteIn = r.subst(substituteIn, substitution);
         }

Added tag(s) pending. Request was from Philipp Spitzer <philipp@spitzer.priv.at> to control@bugs.debian.org. (Fri, 27 Nov 2009 21:54:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kalle Kivimaa <killer@debian.org>:
Bug#543076; Package jakarta-ecs. (Fri, 27 Nov 2009 22:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Kalle Kivimaa <killer@debian.org>. (Fri, 27 Nov 2009 22:18:08 GMT) Full text and rfc822 format available.

Message #17 received at 543076@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 543076@bugs.debian.org
Subject: jakarta-ecs: diff for NMU version 1.4.2-1.1
Date: Fri, 27 Nov 2009 23:14:18 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

I've uploaded an NMU for jakarta-ecs (versioned as 1.4.2-1.1). The diff
is attached to this message.

Cheers,
gregor, from the Munich BSP
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #34:  (l)user error 
[jakarta-ecs-1.4.2-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Philipp Spitzer <philipp+debian@spitzer.priv.at>:
You have taken responsibility. (Fri, 27 Nov 2009 22:21:11 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Fri, 27 Nov 2009 22:21:12 GMT) Full text and rfc822 format available.

Message #22 received at 543076-close@bugs.debian.org (full text, mbox):

From: Philipp Spitzer <philipp+debian@spitzer.priv.at>
To: 543076-close@bugs.debian.org
Subject: Bug#543076: fixed in jakarta-ecs 1.4.2-1.1
Date: Fri, 27 Nov 2009 22:17:15 +0000
Source: jakarta-ecs
Source-Version: 1.4.2-1.1

We believe that the bug you reported is fixed in the latest version of
jakarta-ecs, which is due to be installed in the Debian FTP archive:

jakarta-ecs_1.4.2-1.1.diff.gz
  to main/j/jakarta-ecs/jakarta-ecs_1.4.2-1.1.diff.gz
jakarta-ecs_1.4.2-1.1.dsc
  to main/j/jakarta-ecs/jakarta-ecs_1.4.2-1.1.dsc
libjakarta-ecs-java_1.4.2-1.1_all.deb
  to main/j/jakarta-ecs/libjakarta-ecs-java_1.4.2-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 543076@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Spitzer <philipp+debian@spitzer.priv.at> (supplier of updated jakarta-ecs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 27 Nov 2009 22:28:19 +0100
Source: jakarta-ecs
Binary: libjakarta-ecs-java
Architecture: source all
Version: 1.4.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Kalle Kivimaa <killer@debian.org>
Changed-By: Philipp Spitzer <philipp+debian@spitzer.priv.at>
Description: 
 libjakarta-ecs-java - Element construction set for various markup languages
Closes: 543076
Changes: 
 jakarta-ecs (1.4.2-1.1) unstable; urgency=low
 .
   [ Philipp Spitzer ]
   * Non-maintainer upload.
   * Renamed "enum" variable to "enumerate" as "enum" became a Java keyword
     (Closes: #543076).
 .
   [ gregor herrmann ]
   * debian/control: remove section from binary package, change section to java
     in source package.
Checksums-Sha1: 
 897e1016919d91d39bae0e38fded237c290bb4d4 1703 jakarta-ecs_1.4.2-1.1.dsc
 54f5fd0638aa235d8702c69de7fb5b3599aefb02 5458 jakarta-ecs_1.4.2-1.1.diff.gz
 db58e986cc9c23f3c43620923345868c7bfc0b43 276512 libjakarta-ecs-java_1.4.2-1.1_all.deb
Checksums-Sha256: 
 7a1f03a32d914fed80e70cc731352c6b56e1b2aafc8b740cbace230fd214a3f1 1703 jakarta-ecs_1.4.2-1.1.dsc
 d19b6d0ba278fa97ad28e6d4830d9dce69920f6c9b28b964bf7f0dd72b56e5f2 5458 jakarta-ecs_1.4.2-1.1.diff.gz
 87a51421916d05a9ff38076d68c408bc8b8438922060e99ee5c406aca67ee7a8 276512 libjakarta-ecs-java_1.4.2-1.1_all.deb
Files: 
 e1d7dafe9f6e78b2b8dd7823e41bde60 1703 java optional jakarta-ecs_1.4.2-1.1.dsc
 4f6953089cc7e30f6de3668f4d452141 5458 java optional jakarta-ecs_1.4.2-1.1.diff.gz
 6691a4d03f7e81e936dbd108e2ffa662 276512 java optional libjakarta-ecs-java_1.4.2-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLEE6rAAoJELs6aAGGSaoG1kIP+QFdR1wFrEhaPI4mDlcJYgHg
2t4SOsuA8Dz1/y9E1NxE0oerhYeX11AOTf/h9s7iDjM4giUVtopF26+XnWVaf1rX
aQrUW2B5tOpQy0FrxqTFj/4MVCUI3KhfEdoUZVTUea66HgfRaH61AiitM4LfAgxS
T5KIvfFqQ14zAeKgZnrCy+M8331ijCkHY/TYy6HpFg11I0TU7mfW7MwMMh9nTxUE
t9QJmeFf9tVC6InKAspwEjtF25wn15FSKPAfFEtt+Wj3VtAbzf2lXrRWG5qdhwrg
8hxqeC9OhUCIIUavOh4swuyLiFPgzX4pG8jwEHYY5YyvpHzbf8Qm+JqumrqrkP2W
0oDiwcdzemIrvdxcwJTwDnZuKE3jGJ60Bl/xK4ZbB0cPIEk1ogA+L4ByGQmC8ZTp
aYpFaj9W+Ved3FBONhJLUB3TKtP0zM2xGVGmTHykFPa8PCfx5dTGYBYdtyjPVlQA
XSjZoxIKPRV7oXKXPzvJFIENt3EZUh6hl03PZwoBuoahrNO+tCHbwclmpC2h5Lvj
XTy1Kgt87jWd9yq075Bdfgwe7YWUTbsUwNuw0y4sz0RLKMmBweASEeE/YT8ah5/G
+jIBGSI3eQPl1dVPx+KP+Zn42fZl5nZIdyLpy/0K0OjgLfGn0UgBo/ie5ceLJfjU
EUGQChpXrGLQJzvjqB+Q
=qN33
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 31 Dec 2009 07:42:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:35:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.